#!/bin/bash
# This script sets up ssh for use within container

mkdir -p /home/qa/.ssh

mv /tmp/insecure_ssh_key.pub /home/qa/.ssh/authorized_keys
mv /tmp/insecure_ssh_key /home/qa/.ssh/id_rsa

cat << EOF > /home/qa/.ssh/config
Host *
  StrictHostKeyChecking no
  UserKnownHostsFile /dev/null
  User root
  LogLevel QUIET
EOF

chown -R qa:qa /home/qa/.ssh

chmod 700 /home/qa/.ssh
chmod 644 /home/qa/.ssh/authorized_keys
chmod 400 /home/qa/.ssh/id_rsa
chmod 400 /home/qa/.ssh/config
