# Usage:
# cd /where/you/put/helix-installer/dev/test
# source ./env.sh
#
# Alternately use 'main' rather than 'dev' in path above.

echo "Loading Helix Installer test environment settings."

if [[ "$PWD" != *"/test" ]]; then
   echo "Bad Usage: Run this from </where/you/put/it>/helix-installer/dev/test"
   return 1
fi

# Aliases to 'vi' and 'tail' latest Helix Installer Test Suite log file.
alias vil='vi $(ls -t $PWD/hits.*.log|head -1)'
alias tl='tail -30 $(ls -t $PWD/hits.*.log|head -1)'
